commit de1e0449e3684f84ad864378e03e6606d3a22566
Author: Sam Song <samsongshu@yahoo.com.cn>
Date:   Thu Apr 5 15:41:37 2007 +0800

    Several ENV settings adjustment for operation more convenience.
    
    Signed-off-by: Sam Song <samsongshu@yahoo.com.cn>

diff --git a/include/configs/MPC8641HPCN.h b/include/configs/MPC8641HPCN.h
index ff9f675..96f1bf9 100644
--- a/include/configs/MPC8641HPCN.h
+++ b/include/configs/MPC8641HPCN.h
@@ -388,8 +388,6 @@ extern unsigned long get_board_sys_clk(u
 #define TSEC3_PHYIDX		0
 #define TSEC4_PHYIDX		0
 
-#define CONFIG_ETHPRIME		"eTSEC1"
-
 #endif	/* CONFIG_TSEC_ENET */
 
 /*
@@ -474,8 +472,8 @@ extern unsigned long get_board_sys_clk(u
  */
 #ifndef CFG_RAMBOOT
     #define CFG_ENV_IS_IN_FLASH	1
-    #define CFG_ENV_ADDR		(CFG_MONITOR_BASE + 0x40000)
-    #define CFG_ENV_SECT_SIZE		0x40000	/* 256K(one sector) for env */
+    #define CFG_ENV_ADDR		(CFG_MONITOR_BASE - 0x1000 + 0x80000)
+    #define CFG_ENV_SECT_SIZE		0x10000	/* 64K (one sector) for env */
     #define CFG_ENV_SIZE		0x2000
 #else
     #define CFG_ENV_IS_NOWHERE	1	/* Store ENV in memory only */
@@ -583,16 +581,10 @@ extern unsigned long get_board_sys_clk(u
 #define CONFIG_HAS_ETH2		1
 #define CONFIG_HAS_ETH3		1
 
-#define CONFIG_IPADDR		192.168.1.100
-
-#define CONFIG_HOSTNAME		unknown
+#define CONFIG_HOSTNAME		MPC8641HPCN
 #define CONFIG_ROOTPATH		/opt/nfsroot
 #define CONFIG_BOOTFILE		uImage
 
-#define CONFIG_SERVERIP		192.168.1.1
-#define CONFIG_GATEWAYIP	192.168.1.1
-#define CONFIG_NETMASK		255.255.255.0
-
 /* default location for tftp and bootm */
 #define CONFIG_LOADADDR		1000000
 
@@ -606,12 +598,15 @@ extern unsigned long get_board_sys_clk(u
    "consoledev=ttyS0\0"                                                 \
    "ramdiskaddr=2000000\0"						\
    "ramdiskfile=your.ramdisk.u-boot\0"                                  \
-   "dtbaddr=400000\0"						\
-   "dtbfile=mpc8641_hpcn.dtb\0"                                  \
-   "en-wd=mw.b f8100010 0x08; echo -expect:- 08; md.b f8100010 1\0" \
-   "dis-wd=mw.b f8100010 0x00; echo -expect:- 00; md.b f8100010 1\0" \
-   "maxcpus=2"
-
+   "dtbaddr=400000\0"							\
+   "dtbfile=mpc8641_hpcn.dtb\0"                                  	\
+   "en-wd=mw.b f8100010 0x08; echo -expect:- 08; md.b f8100010 1\0" 	\
+   "dis-wd=mw.b f8100010 0x00; echo -expect:- 00; md.b f8100010 1\0" 	\
+   "maxcpus=2\0"							\
+   "eu=protect off all;erase fff80000 fff8ffff;md fff80000;"		\
+	"echo ENV restored to initial state...\0"			\
+   "uu=protect off all;erase fff00000 fff7ffff;"			\
+	"cp.b 1000000 fff00100 7ff00;md fff01000;echo U-Boot updated!"
 
 #define CONFIG_NFSBOOTCOMMAND	                                        \
    "setenv bootargs root=/dev/nfs rw "                                  \
